import request from '@/utils/request'

// 查询答题记录列表
export function listUserQu(query) {
  return request({
    url: '/elearn/userQu/list',
    method: 'get',
    params: query
  })
}

// 题库练习
export function nextQu(data) {
  return request({
    url: '/elearn/userQu/nextQu',
    method: 'post',
    data: data
  })
}



// 查询答题记录详细
export function getUserQu(id) {
  return request({
    url: '/elearn/userQu/' + id,
    method: 'get'
  })
}

// 新增答题记录
export function addUserQu(data) {
  return request({
    url: '/elearn/userQu',
    method: 'post',
    data: data
  })
}

// 修改答题记录
export function updateUserQu(data) {
  return request({
    url: '/elearn/userQu',
    method: 'put',
    data: data
  })
}

// 删除答题记录
export function delUserQu(id) {
  return request({
    url: '/elearn/userQu/' + id,
    method: 'delete'
  })
}

// 导出答题记录
export function exportUserQu(query) {
  return request({
    url: '/elearn/userQu/export',
    method: 'get',
    params: query
  })
}
